summaryrefslogtreecommitdiffstats
path: root/source/ap/screen
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/screen')
-rw-r--r--source/ap/screen/58-show-encoding-hardstatus.patch41
-rw-r--r--source/ap/screen/60-revert-screenrc-change.diff13
-rwxr-xr-xsource/ap/screen/screen.SlackBuild24
-rw-r--r--source/ap/screen/slack-desc8
4 files changed, 35 insertions, 51 deletions
diff --git a/source/ap/screen/58-show-encoding-hardstatus.patch b/source/ap/screen/58-show-encoding-hardstatus.patch
deleted file mode 100644
index 45fecdbfc..000000000
--- a/source/ap/screen/58-show-encoding-hardstatus.patch
+++ /dev/null
@@ -1,41 +0,0 @@
-Author: rascov@rascov.tw
-Date: Wed Feb 11 05:51:31 CST 2009
-Subject: show encoding in hardstatus, orginal from FreeBSD by yzlin@cs.nctu.edu.tw
-Bug-Ubuntu: https://bugs.launchpad.net/ubuntu/+source/screen/+bug/286810
-Bug-Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=533498
-
-Index: screen/screen.c
-===================================================================
---- screen.orig/screen.c 2014-04-28 03:14:19.195018278 +0200
-+++ screen/screen.c 2014-04-28 03:14:19.179018199 +0200
-@@ -2801,6 +2801,18 @@
- }
- p += strlen(p) - 1;
- break;
-+ #ifdef ENCODINGS
-+ case 'e':
-+ *p = 0;
-+ D_encoding = nwin_options.encoding > 0 ? nwin_options.encoding : 0;
-+ if (win && win->w_encoding)
-+ {
-+ *p++ = ' ';
-+ strcpy(p, EncodingName(win->w_encoding));
-+ }
-+ p += strlen(p) - 1;
-+ break;
-+ #endif
- case '{':
- {
- char rbuf[128];
-Index: screen/process.c
-===================================================================
---- screen.orig/process.c 2014-04-28 03:14:19.195018278 +0200
-+++ screen/process.c 2014-04-28 03:14:19.183018228 +0200
-@@ -3693,6 +3693,7 @@
- {
- WinSwitchEncoding(fore, n);
- ResetCharsets(fore);
-+ RedisplayDisplays(0);
- }
- else if (i && display)
- D_encoding = n;
diff --git a/source/ap/screen/60-revert-screenrc-change.diff b/source/ap/screen/60-revert-screenrc-change.diff
new file mode 100644
index 000000000..1f208e1df
--- /dev/null
+++ b/source/ap/screen/60-revert-screenrc-change.diff
@@ -0,0 +1,13 @@
+--- screen-4.4.0/etc/etcscreenrc 2015-09-05 14:28:22.000000000 -0500
++++ screen-4.2.1/etc/etcscreenrc 2014-04-25 14:08:40.000000000 -0500
+@@ -68,8 +68,8 @@
+ #
+ # Do not use xterms alternate window buffer.
+ # This one would not add lines to the scrollback buffer.
+-termcap xterm|xterms|xs ti=\E7\E[?47l
+-terminfo xterm|xterms|xs ti=\E7\E[?47l
++#termcap xterm|xterms|xs ti=\E7\E[?47l
++#terminfo xterm|xterms|xs ti=\E7\E[?47l
+
+ #make hp700 termcap/info better
+ termcap hp700 'Z0=\E[?3h:Z1=\E[?3l:hs:ts=\E[62"p\E[0$~\E[2$~\E[1$}:fs=\E[0}\E[61"p:ds=\E[62"p\E[1$~\E[61"p:ic@'
diff --git a/source/ap/screen/screen.SlackBuild b/source/ap/screen/screen.SlackBuild
index dfaad1413..7ce6f2aaf 100755
--- a/source/ap/screen/screen.SlackBuild
+++ b/source/ap/screen/screen.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2013, 2014, 2015, 2016 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2011, 2013, 2014, 2015, 2016, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,9 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=screen
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -34,6 +36,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
elif [ "$ARCH" = "s390" ]; then
@@ -44,7 +54,6 @@ else
SLKCFLAGS="-O2"
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-screen
@@ -70,10 +79,13 @@ for pf in \
26source_encoding.patch.gz \
45suppress_remap.patch.gz \
52fix_screen_utf8_nfd.patch.gz \
- 58-show-encoding-hardstatus.patch.gz \
; do zcat $CWD/$pf | patch --verbose -p1 || exit 1
done
+# Revert a change to /etc/screenrc introduced in screen-4.3.x that prevents
+# the console from being properly cleared when detaching from a screen session:
+zcat $CWD/60-revert-screenrc-change.diff.gz | patch -p1 --verbose || exit 1
+
# Do not link against libelf:
zcat $CWD/screen.no_libelf.diff.gz | patch -p1 --verbose || exit 1
@@ -130,7 +142,7 @@ cp -a COPYING ChangeLog HACKING INSTALL NEWS README TODO \
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat << EOF > $PKG/install/doinst.sh
-#!/bin/sh
+#!/bin/bash
config() {
NEW="\$1"
OLD="\$(dirname \$NEW)/\$(basename \$NEW .new)"
diff --git a/source/ap/screen/slack-desc b/source/ap/screen/slack-desc
index cfe3136b6..6072d871a 100644
--- a/source/ap/screen/slack-desc
+++ b/source/ap/screen/slack-desc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
@@ -13,7 +13,7 @@ screen: terminal between several processes (typically interactive shells).
screen: Each virtual terminal provides the functions of a DEC VT100 terminal
screen: and several control functions from the ISO 6492 (ECMA 48, ANSI X3.64)
screen: and ISO 2022 standards (e.g. insert/delete line and support for
-screen: multiple character sets). There is a scrollback history buffer for
+screen: multiple character sets). There is a scrollback history buffer for
screen: each virtual terminal and a copy-and-paste mechanism that allows
screen: moving text regions between windows.
screen: